DsRslashcmd     = DsRslashcmd or {}
local LSC       = LibSlashCommander

function DsRslashcmd.createSlashCommands()
    LSC:Register("/dsrinventory"   , function() IA_InventoryAssistant:ToggleWindow ( true ) end     , GetString(DsRGuildcmd_inventory))
    LSC:Register("/dsrbind"        , function() DsRGuildBind.Binding.BindAllUnknown() end           , GetString(DsRGuildcmd_binding))
    LSC:Register("/dsrpost"        , function() DsRGuildBind.Post.PostAllUnbounted() end            , GetString(DsRGuildcmd_post))
    LSC:Register("/dsrport"        , function() DsRGuildPvP.TelVarPortToCyro() end                  , GetString(DsRGuildcmd_port))
    
    LSC:Register("/dsrcraftclear"  , function() DsRGuildPrecrafterQueue:Clear() end                 , GetString(DsRGuildCrafting_PrecraftCMDrem))

    LSC:Register("/dsrcraft"  , function(args)
        local bagSpace   = GetNumBagFreeSlots(BAG_BACKPACK)
        local QUEUE_SIZE = 37 -- Mindestzahl an Platz im Inventar. Entspricht 1 Rotation!!
        if bagSpace < QUEUE_SIZE then
            d(GetString(DsRGuildCrafting_PrecraftNoInvSpace))
            return
        end
        DsRGuildPrecrafter:GetMultiplierAndQueue(args, bagSpace)
    end, GetString(DsRGuildCrafting_PrecraftCMDadd))


    LSC:Register("/dsrstart", function (districtId)
        if districtId == nil then 
            ZO_Alert(UI_ALERT_CATEGORY_ALERT, nil, "Error")
            return 
        end
        DsRPvPBossTimer.markDistrict(tonumber(districtId))
    end, GetString(DsRPvPBossTimer_StartManu))
end