DsRGuildBeamHandlers = {}
local DsRGuildBeamHandlers = DsRGuildBeamHandlers  or {}

DsRGuildBeamHandlers.name = "DsRGuildBeamHandlers"

function DsRGuildBeamHandlers.OnAddOnLoaded( event, name )
		EVENT_MANAGER:RegisterForEvent( DsRGuildBeamHandlers.name, EVENT_ADD_ON_LOADED, DsRGuildBeamHandlers.OnAddOnLoaded )
		

		DsRGuildBeam.Initialize()
		
		EVENT_MANAGER:RegisterForEvent( DsRGuildBeamHandlers.name, EVENT_PLAYER_ACTIVATED, DsRGuildBeamHandlers.OnPlayerActivated )
		EVENT_MANAGER:RegisterForEvent( DsRGuildBeamHandlers.name, EVENT_LINKED_WORLD_POSITION_CHANGED, DsRGuildBeamHandlers.OnWorldChange )
		EVENT_MANAGER:RegisterForEvent( DsRGuildBeamHandlers.name, EVENT_ZONE_CHANGED, DsRGuildBeamHandlers.OnWorldChange )
		EVENT_MANAGER:RegisterForEvent( DsRGuildBeamHandlers.name, EVENT_ZONE_UPDATE, DsRGuildBeamHandlers.OnWorldChange )

		EVENT_MANAGER:RegisterForUpdate( DsRGuildBeamHandlers.name .. "RefreshLights", 1000, DsRGuildBeam.OnRefreshLights )
	local LIGHT_ENABLED = DsRGuildBeam.GetSetting( "LightEnabled" )
	if LIGHT_ENABLED == true then
		DsRGuildBeam.SetSetting( "LightEnabled", false )
		DsRGuildBeam.SetSetting( "LightEnabled", true )
	end
end

function DsRGuildBeamHandlers.OnWorldChange()
	if DsRGuildBeam.Initialized then
		EVENT_MANAGER:RegisterForUpdate( "DsRGuildBeamHandlers.OnWorldChange", 2000, DsRGuildBeamHandlers.OnWorldChange )
	end
end

function DsRGuildBeamHandlers.OnPlayerActivated()
	if not DsRGuildBeam.Initialized then
		DsRGuildBeam.Initialized = true
		-- DsRGuildBeam.InitSettings()
	end
	DsRGuildBeamHandlers.OnWorldChange()
end