-- Create namespace
DsRGuildAdmin = {}

-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 
-- Check first
function DsRGuildAdmin.Check()
    local player    = GetDisplayName()
    local guildId   = GUILD_ROSTER_MANAGER:GetGuildId()
    local guildName = GetGuildName(guildId)
    
    if guildName == "Die sieben Raben" then
        if player == "@Hasenwarrior" or player == "@PettiPuuh" or player == "@flo1980" or player == "@Reorx5283" or player == "@Siraa" or player == "@Sisiktil" or player == "@Magnolyon" then
            DsRGuildAdminPanel:SetHidden(false)
        else
            DsRGuildAdminPanel:SetHidden(true)
        end
        if player ~= "@Hasenwarrior" then
         DsRGuildAdminReload:SetHidden(true)
        end
    else
        DsRGuildAdminPanel:SetHidden(true)
    end
end

-- Change guild
function DsRGuildAdmin.OnGuildIdChanged(guild_roster_manager)
    local guildId   = GUILD_ROSTER_MANAGER:GetGuildId()
    local guildName = GetGuildName(guildId)
    local player    = GetDisplayName()
    
    if not guild_roster_manager then
        ZO_Alert(UI_ALERT_CATEGORY_ERROR, SOUNDS.GENERAL_ALERT_ERROR, zo_strformat(gettext.gettext("Can’t identify the guild hall yet")))
        return
    end
    if not guildId then
        return
    end
  
    if guildName ~= "Die sieben Raben" then
        DsRGuildAdminPanel:SetHidden(true)
    else
        if player == "@Hasenwarrior" or player == "@PettiPuuh" or player == "@flo1980" or player == "@Reorx5283" or player == "@Siraa" or player == "@Sisiktil" or player == "@Magnolyon" then
            DsRGuildAdminPanel:SetHidden(false)
        else
            DsRGuildAdminPanel:SetHidden(true)
        end
    end
end

-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 
-- Erinnerungen

-- Loskauf
function DsRGuildAdmin.OnClickedLoskauf(self,button)
	local guildIndex = nil
    for i = 1, 5 do
        local guildId    = GetGuildId(i)
        local guildName  = GetGuildName(guildId)
        if guildName == "Die sieben Raben" then
            guildIndex = i
        end
    end

	local channel = string.format("%s%s", "/guild", guildIndex)
	local outputtext = string.format("%s", "Teilnahme an RabenLotterie: Max. kaufbare Lose pro Spieler -> 1 ----- Preis pro Los -> 50.000 Gold ----- Loskaufanleitung -> Siehe Discordchannel: #lotterie")
	CHAT_SYSTEM:Maximize()
    CHAT_SYSTEM.textEntry:InsertLink( channel )
    CHAT_SYSTEM.textEntry:InsertLink( " " .. outputtext )
	CHAT_SYSTEM.textEntry:Open() CHAT_SYSTEM.textEntry:FadeIn()
end

-- Eventerinnerung
function DsRGuildAdmin.OnClickedEventErinnerung(self,button)
    local guildIndex = nil
    for i = 1, 5 do
        local guildId    = GetGuildId(i)
        local guildName  = GetGuildName(guildId)
        if guildName == "Die sieben Raben" then
            guildIndex = i
        end
    end

    local DayACT = os.time{year=os.date("%Y"), month=os.date("%m"), day=os.date("%d")}
    
    local CheckDate1 = zo_strsub(DsRGuildInfoEvent1Start:GetText() , 8 , 25)
    if string.match(zo_strformat("<<1>>", CheckDate1), 'xxx') then
        EventDay1 = os.time{year = 2020, month = 01, day = 01}
    else
        local dayValue1, monthValue1, yearValue1 = string.match(zo_strformat("<<1>>", CheckDate1), '(%d%d).(%d%d).(%d%d%d%d)')
        local dayValue1, monthValue1, yearValue1 = tonumber(dayValue1), tonumber(monthValue1), tonumber(yearValue1)
        EventDay1 = os.time{year = yearValue1, month = monthValue1, day = dayValue1}
    end

    local CheckDate2 = zo_strsub(DsRGuildInfoEvent2Start:GetText() , 8 , 25)
    if string.match(zo_strformat("<<1>>", CheckDate2), 'xxx') then
        EventDay2 = os.time{year = 2020, month = 01, day = 01}
    else
        local dayValue2, monthValue2, yearValue2 = string.match(zo_strformat("<<1>>", CheckDate2), '(%d%d).(%d%d).(%d%d%d%d)')
        local dayValue2, monthValue2, yearValue2 = tonumber(dayValue2), tonumber(monthValue2), tonumber(yearValue2)
        EventDay2 = os.time{year = yearValue2, month = monthValue2, day = dayValue2}
    end

    local CheckDate3 = zo_strsub(DsRGuildInfoEvent3Start:GetText() , 8 , 25)
    if string.match(zo_strformat("<<1>>", CheckDate3), 'xxx') then
        EventDay3 = os.time{year = 2020, month = 01, day = 01}
    else
        local dayValue3, monthValue3, yearValue3 = string.match(zo_strformat("<<1>>", CheckDate3), '(%d%d).(%d%d).(%d%d%d%d)')
        local dayValue3, monthValue3, yearValue3 = tonumber(dayValue3), tonumber(monthValue3), tonumber(yearValue3)
        EventDay3 = os.time{year = yearValue3, month = monthValue3, day = dayValue3}
    end

    local CheckDate4 = zo_strsub(DsRGuildInfoEvent4Start:GetText() , 8 , 25)
    if string.match(zo_strformat("<<1>>", CheckDate4), 'xxx') then
        EventDay4 = os.time{year = 2020, month = 01, day = 01}
    else
        local dayValue4, monthValue4, yearValue4 = string.match(zo_strformat("<<1>>", CheckDate4), '(%d%d).(%d%d).(%d%d%d%d)')
        local dayValue4, monthValue4, yearValue4 = tonumber(dayValue4), tonumber(monthValue4), tonumber(yearValue4)
        EventDay4 = os.time{year = yearValue4, month = monthValue4, day = dayValue4}
    end
    local CheckDate5 = zo_strsub(DsRGuildInfoEvent5Start:GetText() , 8 , 25)
    if string.match(zo_strformat("<<1>>", CheckDate5), 'xxx') then
        EventDay5 = os.time{year = 2020, month = 01, day = 01}
    else
        local dayValue5, monthValue5, yearValue5 = string.match(zo_strformat("<<1>>", CheckDate5), '(%d%d).(%d%d).(%d%d%d%d)')
        local dayValue5, monthValue5, yearValue5 = tonumber(dayValue5), tonumber(monthValue5), tonumber(yearValue5)
        EventDay5 = os.time{year = yearValue5, month = monthValue5, day = dayValue5}
    end

    local CheckDate6 = zo_strsub(DsRGuildInfoEvent6Start:GetText() , 8 , 25)
    if string.match(zo_strformat("<<1>>", CheckDate6), 'xxx') then
        EventDay6 = os.time{year = 2020, month = 01, day = 01}
    else
        local dayValue6, monthValue6, yearValue6 = string.match(zo_strformat("<<1>>", CheckDate6), '(%d%d).(%d%d).(%d%d%d%d)')
        local dayValue6, monthValue6, yearValue6 = tonumber(dayValue6), tonumber(monthValue6), tonumber(yearValue6)
        EventDay6 = os.time{year = yearValue6, month = monthValue6, day = dayValue6}
    end

    local CheckDate7 = zo_strsub(DsRGuildInfoEvent7Start:GetText() , 8 , 25)
    if string.match(zo_strformat("<<1>>", CheckDate7), 'xxx') then
        EventDay7 = os.time{year = 2020, month = 01, day = 01}
    else
        local dayValue7, monthValue7, yearValue7 = string.match(zo_strformat("<<1>>", CheckDate7), '(%d%d).(%d%d).(%d%d%d%d)')
        local dayValue7, monthValue7, yearValue7 = tonumber(dayValue7), tonumber(monthValue7), tonumber(yearValue7)
        EventDay7 = os.time{year = yearValue7, month = monthValue7, day = dayValue7}
    end

    if DayACT <= EventDay1 then
        Eventname = DsRGuildInfoEvent1:GetText()
    elseif DayACT >= EventDay1 and DayACT <= EventDay2 then
        Eventname = DsRGuildInfoEvent2:GetText()
    elseif DayACT >= EventDay2 and DayACT <= EventDay3 then
        Eventname = DsRGuildInfoEvent3:GetText()
    elseif DayACT >= EventDay3 and DayACT <= EventDay4 then
        Eventname = DsRGuildInfoEvent4:GetText()
    elseif DayACT >= EventDay4 and DayACT <= EventDay5 then
        Eventname = DsRGuildInfoEvent5:GetText()
    elseif DayACT >= EventDay5 and DayACT <= EventDay6 then
        Eventname = DsRGuildInfoEvent6:GetText()
    elseif DayACT >= EventDay6 and DayACT <= EventDay7 then
        Eventname = DsRGuildInfoEvent7:GetText()
    else
        Eventname = "-"
    end

    if Eventname ~= "-" then
        local channel    = string.format("%s%s", "/guild", guildIndex)
        local outputtext = string.format("%s%s%s", "Bald ist es soweit! Das Gildenevent ''", Eventname, "'' startet demnächst. Was ihr tun müsst bzw. um was es geht, kannst Du jetzt / bald im entsprechenden DC-Channel #angebote-events sehen.")
        CHAT_SYSTEM:Maximize()
        CHAT_SYSTEM.textEntry:InsertLink( channel )
        CHAT_SYSTEM.textEntry:InsertLink( " " .. outputtext )
        CHAT_SYSTEM.textEntry:Open() CHAT_SYSTEM.textEntry:FadeIn()
    end
end


-- EventStart
function DsRGuildAdmin.OnClickedxXxXxX(self, button)
    local player      = GetDisplayName()
    d(zo_strformat("<<1>>", player))
    
    -- local name = GetUnitName("player")

end

-- Händler
function DsRGuildAdmin.OnClickedHaendler(self,button)
    local guildId = GUILD_ROSTER_MANAGER:GetGuildId()
    local traderName = GetGuildOwnedKioskInfo(guildId)
    traderName = zo_strformat(SI_GUILD_HIRED_TRADER, traderName)
 
	local guildIndex = nil
    for i = 1, 5 do
        local guildId    = GetGuildId(i)
        local guildName  = GetGuildName(guildId)
        if guildName == "Die sieben Raben" then
            guildIndex = i
        end
    end

	local channel =    string.format("%s%s", "/guild", guildIndex)
	local outputtext = string.format("%s%s%s", "Unser Händler in dieser Woche: ", traderName, "......Füllt eure Plätze auf!! -> Kleiner Tipp: Setzt immer den Verkaufspreis etwas unter den offiziellen Preisen. So verkauft ihr mehr und schneller.")
	CHAT_SYSTEM:Maximize()
    CHAT_SYSTEM.textEntry:InsertLink( channel )
    CHAT_SYSTEM.textEntry:InsertLink( " " .. outputtext )
	CHAT_SYSTEM.textEntry:Open() CHAT_SYSTEM.textEntry:FadeIn()
end

-- Addon
function DsRGuildAdmin.OnClickedAddon(self,button)
	local guildIndex = nil
    for i = 1, 5 do
        local guildId    = GetGuildId(i)
        local guildName  = GetGuildName(guildId)
        if guildName == "Die sieben Raben" then
            guildIndex = i
        end
    end

	local channel = string.format("%s%s", "/guild", guildIndex)
	local outputtext = string.format("%s", ">> DsR GuildRoster << heißt unser Gilden-Addon. Damit verpasst ihr keine Informationen mehr. Die Gildenmitgliederliste is angepasst, sowie nützliche Tools wie: LootManager, InventarManager, AutoInvite, PvP-Tools, BuffReminder und und und! Also auf nach Minion und direkt installieren!")
	CHAT_SYSTEM:Maximize()
    CHAT_SYSTEM.textEntry:InsertLink( channel )
    CHAT_SYSTEM.textEntry:InsertLink( " " .. outputtext )
	CHAT_SYSTEM.textEntry:Open() CHAT_SYSTEM.textEntry:FadeIn()
end

-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- 
-- Jump to guildhouse
function DsRGuildAdmin.OnClickedPortGuild(self,button)
    local player      = GetDisplayName()
    local location_id = GetCurrentZoneHouseId()

    for _,v in pairs(COLLECTIONS_BOOK_SINGLETON:GetOwnedHouses()) do
        if IsPrimaryHouse(v.houseId) then
            house_id = v.houseId
        end
    end
    if player == "@flo1980" then
        RequestJumpToHouse(house_id, false)
    else
        JumpToHouse("@flo1980")
    end
end

-- Jump to primary residence
function DsRGuildAdmin.OnClickedPortMem(self,button)
    local location_id = GetCurrentZoneHouseId()
    
    for _,v in pairs(COLLECTIONS_BOOK_SINGLETON:GetOwnedHouses()) do
        if IsPrimaryHouse(v.houseId) then
            house_id = v.houseId
        end
    end
    if location_id ~= house_id then
        RequestJumpToHouse(house_id, false)
    end
end
