DsRPvPBossTimer = DsRPvPBossTimer or {
	name 	  		= "DsRPvPBossTimer",
	running 		= false,
	spawntime 		= 900, --Respawn after 15 minutes
	spawntimeMolag 	= 300, --Respawn after 5 minutes
	fallbackMaxTime = 60,
}

-------------------------------------------------------------------------------------------------------------------------------------------------
-- Data
-------------------------------------------------------------------------------------------------------------------------------------------------
DsRPvPBossTimer.locations = {
	[GetString(DsRPvPBossTimer_AMONCRUL)] 		= GetString(DsRPvPBossTimer_NOBLESDISTRICT),
	[GetString(DsRPvPBossTimer_THIRSK)] 		= GetString(DsRPvPBossTimer_NOBLESDISTRICT),
	[GetString(DsRPvPBossTimer_GLORGOLOCH)]		= GetString(DsRPvPBossTimer_ARENADISTRICT),
	[GetString(DsRPvPBossTimer_CHARR)] 			= GetString(DsRPvPBossTimer_TEMPLEDISTRICT),
	[GetString(DsRPvPBossTimer_KHROGO)] 		= GetString(DsRPvPBossTimer_ARENADISTRICT),
	[GetString(DsRPvPBossTimer_MALYGDA)] 		= GetString(DsRPvPBossTimer_ARBORETUMDISTRICT),
	[GetString(DsRPvPBossTimer_MAZALUHAD)] 		= GetString(DsRPvPBossTimer_TEMPLEDISTRICT),
	[GetString(DsRPvPBossTimer_NUNATAK)] 		= GetString(DsRPvPBossTimer_MEMORIALDISTRICT),
	[GetString(DsRPvPBossTimer_MATRON)] 		= GetString(DsRPvPBossTimer_ELVENGARDENSDISTRICT),
	[GetString(DsRPvPBossTimer_VOLGHASS)] 		= GetString(DsRPvPBossTimer_MEMORIALDISTRICT),
	[GetString(DsRPvPBossTimer_YSENDA)] 		= GetString(DsRPvPBossTimer_ARBORETUMDISTRICT),
	[GetString(DsRPvPBossTimer_ZOAL)] 			= GetString(DsRPvPBossTimer_ELVENGARDENSDISTRICT),
	[GetString(DsRPvPBossTimer_MOLAG)] 			= GetString(DsRPvPBossTimer_CAN),
}

DsRPvPBossTimer.timetable = {
	[GetString(DsRPvPBossTimer_NOBLESDISTRICT)] 		= 0,
	[GetString(DsRPvPBossTimer_ARENADISTRICT)] 			= 0,
	[GetString(DsRPvPBossTimer_TEMPLEDISTRICT)] 		= 0,
	[GetString(DsRPvPBossTimer_ARBORETUMDISTRICT)] 		= 0,
	[GetString(DsRPvPBossTimer_MEMORIALDISTRICT)] 		= 0,
	[GetString(DsRPvPBossTimer_ELVENGARDENSDISTRICT)]	= 0,
	[GetString(DsRPvPBossTimer_CAN)] 					= 0,
}

DsRPvPBossTimer.datas = {
	[0]  = DsRPvPBossTimer_CAN,
	[1]  = DsRPvPBossTimer_MEMORIALDISTRICT,
	[2]  = DsRPvPBossTimer_ARENADISTRICT,
	[3]  = DsRPvPBossTimer_ARBORETUMDISTRICT,
	[4]  = DsRPvPBossTimer_TEMPLEDISTRICT,
	[5]  = DsRPvPBossTimer_NOBLESDISTRICT,
	[6]  = DsRPvPBossTimer_ELVENGARDENSDISTRICT,
	[7]  = DsRPvPBossTimer_MEMORIALDISTRICT,
	[8]  = DsRPvPBossTimer_ARENADISTRICT,
	[9]  = DsRPvPBossTimer_ARBORETUMDISTRICT,
	[10] = DsRPvPBossTimer_TEMPLEDISTRICT,
	[11] = DsRPvPBossTimer_NOBLESDISTRICT,
	[12] = DsRPvPBossTimer_ELVENGARDENSDISTRICT,
	[13] = DsRPvPBossTimer_MEMORIALDISTRICT,
	[14] = DsRPvPBossTimer_ARENADISTRICT,
	[15] = DsRPvPBossTimer_ARBORETUMDISTRICT,
	[16] = DsRPvPBossTimer_TEMPLEDISTRICT,
	[17] = DsRPvPBossTimer_NOBLESDISTRICT,
	[18] = DsRPvPBossTimer_ELVENGARDENSDISTRICT,
}

DsRPvPBossTimer.nextcw = {
	[0] = 0,
	[1] = 2,
	[2] = 3,
	[3] = 4,
	[4] = 5,
	[5] = 6,
	[6] = 1
}

DsRPvPBossTimer.nextccw = {
	[0] = 0,
	[1] = 6,
	[2] = 1,
	[3] = 2,
	[4] = 3,
	[5] = 4,
	[6] = 5
}

DsRPvPBossTimer.fallbackTimes = {
	[GetString(DsRPvPBossTimer_AMONCRUL)] 	 = 0,
	[GetString(DsRPvPBossTimer_THIRSK)] 	 = 0,
	[GetString(DsRPvPBossTimer_GLORGOLOCH)]  = 0,
	[GetString(DsRPvPBossTimer_CHARR)] 	 	 = 0,
	[GetString(DsRPvPBossTimer_KHROGO)] 	 = 0,
	[GetString(DsRPvPBossTimer_MALYGDA)] 	 = 0,
	[GetString(DsRPvPBossTimer_MAZALUHAD)]   = 0,
	[GetString(DsRPvPBossTimer_NUNATAK)] 	 = 0,
	[GetString(DsRPvPBossTimer_MATRON)] 	 = 0,
	[GetString(DsRPvPBossTimer_VOLGHASS)] 	 = 0,
	[GetString(DsRPvPBossTimer_YSENDA)] 	 = 0,
	[GetString(DsRPvPBossTimer_ZOAL)] 		 = 0,
	[GetString(DsRPvPBossTimer_MOLAG)] 	 	 = 0,
}

-------------------------------------------------------------------------------------------------------------------------------------------------
-- GUI
-------------------------------------------------------------------------------------------------------------------------------------------------
DsRPvPBossTimer.ui = {
	opened = false,
	mapid = 0,
	timetable = ZO_SimpleSceneFragment:New(DsRPvPBossTimerTimeTable),
	maptimers = ZO_SimpleSceneFragment:New(DsRPvPBossTimerMapTimers),
	
	districts = {
		[GetString(DsRPvPBossTimer_MEMORIALDISTRICT)] 	  = DsRPvPBossTimerMemorialDistrictLabel,
		[GetString(DsRPvPBossTimer_ARENADISTRICT)] 		  = DsRPvPBossTimerArenaDistrictLabel,
		[GetString(DsRPvPBossTimer_ARBORETUMDISTRICT)] 	  = DsRPvPBossTimerArboretumDistrictLabel,
		[GetString(DsRPvPBossTimer_TEMPLEDISTRICT)] 	  = DsRPvPBossTimerTempleDistrictLabel,
		[GetString(DsRPvPBossTimer_NOBLESDISTRICT)] 	  = DsRPvPBossTimerNoblesDistrictLabel,
		[GetString(DsRPvPBossTimer_ELVENGARDENSDISTRICT)] = DsRPvPBossTimerElvenGardensDistrictLabel,
		[GetString(DsRPvPBossTimer_CAN)]				  = DsRPvPBossTimerCanLabel,
	}
}

function DsRPvPBossTimer.disableMapMouseWheelZoom()
	
	local function disableZoom(self, delta, force)
		if force ~= nil then return false end
		if DsRPvPBossTimer.running == true and DsRGuildPvP.pvp.PvPmaptimers == true and DsRPvPBossTimer.ui.mapid == 660 then
			ZO_WorldMapZoom_OnMouseWheel(-1000, _, true)
			return true
		end
	end
	
	ZO_PreHook('ZO_WorldMap_MouseWheel', disableZoom)
	ZO_PreHook('ZO_WorldMapZoom_OnMouseWheel', disableZoom)
	ZO_PreHook('ZO_WorldMapZoomMinus_OnClicked', disableZoom)
	ZO_PreHook('ZO_WorldMapZoomPlus_OnClicked', disableZoom)
end

function DsRPvPBossTimer.disableMapZoomSlider(boolean)
	ZO_WorldMapZoomSliderButton1:SetEnabled(not boolean)
	ZO_WorldMapZoomSliderButton2:SetEnabled(not boolean)
	ZO_WorldMapZoomSliderButton3:SetEnabled(not boolean)
	ZO_WorldMapZoomSliderButton4:SetEnabled(not boolean)
	ZO_WorldMapZoomSliderButton5:SetEnabled(not boolean)
	ZO_WorldMapZoomSliderButton6:SetEnabled(not boolean)
	ZO_WorldMapZoomSliderButton7:SetEnabled(not boolean)
	ZO_WorldMapZoomSliderButton8:SetEnabled(not boolean)
	ZO_WorldMapZoomSliderButton9:SetEnabled(not boolean)
	ZO_WorldMapZoomSliderButton10:SetEnabled(not boolean)
	ZO_WorldMapZoomSliderButton11:SetEnabled(not boolean)
	ZO_WorldMapZoomMinus:SetEnabled(not boolean)
	ZO_WorldMapZoomPlus:SetEnabled(not boolean)
end

function DsRPvPBossTimer.onMapOpen()
	
	local function check()
		if DsRPvPBossTimer.running == true and DsRPvPBossTimer.ui.opened == true and DsRGuildPvP.pvp.PvPmaptimers == true and DsRPvPBossTimer.ui.mapid == 660 then
			DsRPvPBossTimerMapTimers:SetHidden(false)
			DsRPvPBossTimer.disableMapZoomSlider(true)
		else
			DsRPvPBossTimerMapTimers:SetHidden(true)
			DsRPvPBossTimer.disableMapZoomSlider(false)
		end
	end
	
	WORLD_MAP_SCENE:RegisterCallback("StateChange", function(oldState, newState)
	
		DsRPvPBossTimer.ui.mapid = GetCurrentMapId()
		
		if newState == SCENE_SHOWN or newState == SCENE_SHOWING then
			DsRPvPBossTimer.ui.opened = true
		else
			DsRPvPBossTimer.ui.opened = false
		end
		
		check()
	end)
	
	CALLBACK_MANAGER:RegisterCallback("OnWorldMapChanged", function()
		DsRPvPBossTimer.ui.mapid = GetCurrentMapId()
		check()
	end)
end

function DsRPvPBossTimer.onTableMove()
	DsRGuildPvP.pvp.PvPtimetableTop = DsRPvPBossTimerTimeTable:GetTop()
	DsRGuildPvP.pvp.PvPtimetableLeft = DsRPvPBossTimerTimeTable:GetLeft()
end

function DsRPvPBossTimer.restoreUIPosition()
	DsRPvPBossTimerTimeTable:ClearAnchors()
	DsRPvPBossTimerTimeTable:SetAnchor(TOPLEFT, GuiRoot, TOPLEFT, DsRGuildPvP.pvp.PvPtimetableLeft, DsRGuildPvP.pvp.PvPtimetableTop)
end

function DsRPvPBossTimer.secondsToClock(sec)
	return string.format("%02d:%02d", math.floor(sec / 60), (sec % 60))
end

-------------------------------------------------------------------------------------------------------------------------------------------------
-- Addon
-------------------------------------------------------------------------------------------------------------------------------------------------
-- SLASH_COMMANDS["/dsrstart"] = function (districtId)
-- 	if districtId == nil then 
-- 		ZO_Alert(UI_ALERT_CATEGORY_ALERT, nil, "Error")
-- 		return 
-- 	end
-- 	DsRPvPBossTimer.markDistrict(tonumber(districtId))
-- end

function DsRPvPBossTimer.updateTimers()
	for boss, lastSeen in pairs(DsRPvPBossTimer.fallbackTimes) do
		if DsRPvPBossTimer.fallbackTimes[boss] > 0 then
			DsRPvPBossTimer.fallbackTimes[boss] = lastSeen - 1
		end
	end

	local districtString = ""
	local timerString = ""
	local color = ""

	local highestIndex = 6
	if DsRGuildPvP.pvp.PvPccw_cw == true then
		highestIndex = 1
	end
	local highestValue = 0

	for i = 1,6,1 
	do 
		local district = GetString(DsRPvPBossTimer.datas[i])
		local respawn = DsRPvPBossTimer.timetable[district]
		local remaining = respawn - os.time()
	
		if remaining > highestValue then
			highestIndex = i
			highestValue = remaining
		end
	end
	

	local districtMolag  = GetString(DsRPvPBossTimer.datas[0])
	local respawnMolag   = DsRPvPBossTimer.timetable[districtMolag]
	local remainingMolag = respawnMolag - os.time()
	
	if remainingMolag > 0 then
		color = "|cFF0000"
		icon  = zo_iconFormat("/esoui/art/targetmarkers/target_white_skull_64.dds", 20, 20)
	else
		-- Boss is up
		color    	   = "|c00FF00"
		icon		   = ""
		remainingMolag = 0
	end
	
	districtString = districtString .. color .. districtMolag .. icon .. "|r\n"
	timerString    = timerString .. DsRPvPBossTimer.secondsToClock(remainingMolag) .. "\n"
	
	if DsRGuildPvP.pvp.PvPmaptimers == true then
		DsRPvPBossTimer.ui.districts[districtMolag]:SetText(color .. DsRPvPBossTimer.secondsToClock(remainingMolag))
	end
	
	local modifier = 1
	local endpoint = 5
	local nextdistrict = DsRPvPBossTimer.nextcw[highestIndex]
	
	if DsRGuildPvP.pvp.PvPccw_cw == true then
		modifier = -1
		endpoint = -5
		nextdistrict = DsRPvPBossTimer.nextccw[highestIndex]
	end
	
	for i = nextdistrict+6,nextdistrict+6+endpoint,modifier 
	do 
		local district = GetString(DsRPvPBossTimer.datas[i])
		local respawn = DsRPvPBossTimer.timetable[district]
		local remaining = respawn - os.time()
	
		if remaining > 0 then
			color = "|cFF0000"
			icon  = zo_iconFormat("/esoui/art/targetmarkers/target_white_skull_64.dds", 20, 20)
		else
			-- Boss is up
			color     = "|c00FF00"
			icon	  = ""
			remaining = 0
		end
		
		districtString = districtString .. color .. district .. icon .. "|r\n"
		timerString = timerString .. DsRPvPBossTimer.secondsToClock(remaining) .. "\n"
		
		if DsRGuildPvP.pvp.PvPmaptimers == true then
			DsRPvPBossTimer.ui.districts[district]:SetText(color .. DsRPvPBossTimer.secondsToClock(remaining))
		end
		
		DsRPvPBossTimer.saveTimers()
	end
	
	if DsRGuildPvP.pvp.PvPtimetable == true then
		DsRPvPBossTimerDistricLabel:SetText(districtString)
		DsRPvPBossTimerTimerLabel:SetText(timerString)
	end
end

function DsRPvPBossTimer.onMonsterDeath(_, unitTag, isDead)
	local mobName = GetUnitName(unitTag)
	if isDead == true then
		DsRPvPBossTimer.unitDead(unitName)
	end
end

function DsRPvPBossTimer.onMonsterReticle(_)
	local unitName = GetUnitNameHighlightedByReticle()
	local isDead = IsUnitDead('reticleover')
	if unitName == nil or unitName == "" then return end
	
	if DsRPvPBossTimer.fallbackTimes[unitName] == nil or (DsRPvPBossTimer.timetable[DsRPvPBossTimer.locations[unitName]] - os.time()) > 0 then return end
	
	if isDead == true then
		if DsRPvPBossTimer.fallbackTimes[unitName] > 0 then
			DsRPvPBossTimer.unitDead(unitName)
		end
	else
		DsRPvPBossTimer.fallbackTimes[unitName] = DsRPvPBossTimer.fallbackMaxTime
	end
end

function DsRPvPBossTimer.unitDead(unitName)
	if DsRPvPBossTimer.locations[unitName] ~= nil then
		local district = DsRPvPBossTimer.locations[unitName]
		if unitName == GetString(DsRPvPBossTimer_MOLAG) then 
			DsRPvPBossTimer.startTimer(district, DsRPvPBossTimer.spawntimeMolag, true)
		else
			DsRPvPBossTimer.startTimer(district, DsRPvPBossTimer.spawntime, true)
		end
		DsRPvPBossTimer.fallbackTimes[unitName] = 0
	end
end

function DsRPvPBossTimer.saveTimers()
	for i = 0,6,1 
	do 
		local district = GetString(DsRPvPBossTimer.datas[i])
		local respawn = DsRPvPBossTimer.timetable[district]
		DsRGuildPvP.pvp.PvPsaved_timers[district] = respawn
		DsRGuildPvP.pvp.PvPsaved_timers["data"] = GetCurrentCampaignId()
	end
end

function DsRPvPBossTimer.restoreTimers()
	if DsRGuildPvP.pvp.PvPsaved_timers["data"] == GetCurrentCampaignId() then
		for i = 0,6,1 
		do 
			local district = GetString(DsRPvPBossTimer.datas[i])
			local respawn = DsRGuildPvP.pvp.PvPsaved_timers[district]
			if respawn then
				if respawn > os.time() then
					DsRPvPBossTimer.timetable[district] = respawn
				end
			end
		end
	end
end

function DsRPvPBossTimer.resetTimers()
	if DsRGuildPvP.pvp.PvPsaved_timers["data"] ~= GetCurrentCampaignId() then
		for i = 0,6,1 
		do 
			local district = GetString(DsRPvPBossTimer.datas[i])
			DsRPvPBossTimer.timetable[district] = 0
		end
	end
end

function DsRPvPBossTimer.markDistrict(districtId)
	local district = DsRPvPBossTimer.datas[districtId]
	if district == nil then return end
	DsRPvPBossTimer.markDead(district)
end

function DsRPvPBossTimer.getDistrictID(district)
	local districtId = 0
	for index = 0,6,1 do 
		local districtString = DsRPvPBossTimer.datas[index]
		if district == GetString(districtString) then 
			districtId = index
		end
	end
	return districtId
end

function DsRPvPBossTimer.markDead(districtString)
	local district = GetString(districtString)
	-- d(district)
	if DsRPvPBossTimer.timetable[district] ~= nil then
		if districtString == DsRPvPBossTimer_CAN then 
			DsRPvPBossTimer.startTimer(district, DsRPvPBossTimer.spawntimeMolag, false)
		else
			DsRPvPBossTimer.startTimer(district, DsRPvPBossTimer.spawntime, false)
		end
	end
end

function DsRPvPBossTimer.startTimer(district, spawntime, share)
	DsRPvPBossTimer.timetable[district] = os.time() + spawntime
end

function DsRPvPBossTimer.onZoneChange(_, _)
	local zone, x, y, z = GetUnitWorldPosition("player")
	DsRPvPBossTimer.resetTimers()

	if zone == 584 or zone == 643 then
		if DsRPvPBossTimer.running == false then
			-- Player joined IC
			DsRPvPBossTimer.enable()
		else
			-- Player is still in IC
			-- Show Timetable again for some reason
			DsRPvPBossTimer.showTimetable()
		end
	else
		DsRPvPBossTimer.disable()
	end
end

function DsRPvPBossTimer.editSpawnTime()
	if DsRGuildPvP.pvp.PvPeventtimers == true then
		DsRPvPBossTimer.spawntime = 420
	else
		DsRPvPBossTimer.spawntime = 900
	end
end

function DsRPvPBossTimer.switchDirection()
	DsRGuildPvP.pvp.PvPccw_cw = not DsRGuildPvP.pvp.PvPccw_cw
end

function DsRPvPBossTimer.enable()
	EVENT_MANAGER:RegisterForEvent(DsRPvPBossTimer.name, EVENT_UNIT_DEATH_STATE_CHANGED, DsRPvPBossTimer.onMonsterDeath)
	EVENT_MANAGER:RegisterForEvent(DsRPvPBossTimer.name, EVENT_RETICLE_TARGET_CHANGED, DsRPvPBossTimer.onMonsterReticle)
	EVENT_MANAGER:RegisterForUpdate(DsRPvPBossTimer.name .. "_loop", 1000, DsRPvPBossTimer.updateTimers)
	DsRPvPBossTimerTimeTable:SetWidth(tonumber(GetString(DsRPvPBossTimer_GUI_WIDTH)))
	DsRPvPBossTimer.showTimetable()
	DsRPvPBossTimer.restoreTimers()
	DsRPvPBossTimer.running = true
end

function DsRPvPBossTimer.disable()
	local zone, x, y, z = GetUnitWorldPosition("player")
	if zone ~= 181 then	EVENT_MANAGER:UnregisterForUpdate(DsRPvPBossTimer.name .. "_loop") end -- Cyrodiil escape ;D
	EVENT_MANAGER:UnregisterForEvent(DsRPvPBossTimer.name, EVENT_UNIT_DEATH_STATE_CHANGED)
	EVENT_MANAGER:UnregisterForEvent(DsRPvPBossTimer.name, EVENT_RETICLE_TARGET_CHANGED)
	DsRPvPBossTimerTimeTable:SetHidden(true)
	HUD_SCENE:RemoveFragment(DsRPvPBossTimer.ui.timetable)
	HUD_UI_SCENE:RemoveFragment(DsRPvPBossTimer.ui.timetable)
	DsRPvPBossTimer.running = false
end

function DsRPvPBossTimer.showTimetable()
	if DsRGuildPvP.pvp.PvPtimetable == true then
		HUD_SCENE:AddFragment(DsRPvPBossTimer.ui.timetable)
		HUD_UI_SCENE:AddFragment(DsRPvPBossTimer.ui.timetable)
		DsRPvPBossTimerTimeTable:SetHidden(false)
	end
end

-------------------------------------------------------------------------------------------------------------------------------------------------
-- On addon loaded
-------------------------------------------------------------------------------------------------------------------------------------------------
function DsRPvPBossTimer.OnAddOnLoaded(event, addonName)
	EVENT_MANAGER:RegisterForEvent(DsRPvPBossTimer.name, EVENT_PLAYER_ACTIVATED, DsRPvPBossTimer.onZoneChange)
	
	DsRPvPBossTimer.restoreUIPosition()
	DsRPvPBossTimer.onMapOpen()
	DsRPvPBossTimer.disableMapMouseWheelZoom()
	DsRPvPBossTimerMapTimers:SetDrawTier(DT_HIGH) --Draw above WorldMap
	
	DsRPvPBossTimer.editSpawnTime()
	
	DsRPvPBossTimer.running = false
end
